### Property

# Gtk IconView:selection-mode

#### Declaration

    property selection-mode: Gtk.SelectionMode [ read, write ]

#### Description [src]

The ::selection-mode property specifies the selection mode of icon view. If the mode is `GTK_SELECTION_MULTIPLE`, rubberband selection is enabled, for the other modes, only keyboard selection is possible.

Type: | `GtkSelectionMode`

Default value | GTK_SELECTION_SINGLE
Getter method | `gtk_icon_view_get_selection_mode()`
Setter method | `gtk_icon_view_set_selection_mode()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no